Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service
Interface RepositoryService

All Known Subinterfaces:
  HibernateRepositoryService

All Known Implementing Classes:
  HibernateRepositoryServiceImpl

    public interface RepositoryService

Top level class for accessing the repository metadata. This class has various methods for retrieving resources from the repository and for uploading resources to the repository.

Version:
  $Id: RepositoryService.java 10237 2007-09-25 19:58:01Z bob $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`void` | `delete(ExecutionContext context, java.lang.String[] resourceURIs, java.lang.String[] folderURIs)`
`void` | `deleteFolder(ExecutionContext context, java.lang.String uri)`
`void` | `deleteResource(ExecutionContext context, java.lang.String uri)`
`ResourceLookup[]` | `findResource(ExecutionContext context, FilterCriteria criteria)` Given filtering criteria, find relevant Resources.
`ResourceLookup[]` | `findResources(ExecutionContext context, FilterCriteria[] criteria)`
`boolean` | `folderExists(ExecutionContext context, java.lang.String uri)`
`java.util.List` | `getAllFolders(ExecutionContext context)`
`java.lang.String` | `getChildrenFolderName(java.lang.String resourceName)`
`FileResourceData` | `getContentResourceData(ExecutionContext context, java.lang.String uri)`
`Folder` | `getFolder(ExecutionContext context, java.lang.String uri)`
`Resource` | `getResource(ExecutionContext context, java.lang.String uri)`
`Resource` | `getResource(ExecutionContext context, java.lang.String uri, java.lang.Class resourceType)`
`FileResourceData` | `getResourceData(ExecutionContext context, java.lang.String uri)`
`java.util.List` | `getSubFolders(ExecutionContext context, java.lang.String folderURI)`
`void` | `hideFolder(java.lang.String uri)`
`java.util.List` | `loadClientResources(FilterCriteria filterCriteria)`
`java.util.List` | `loadResourcesList(ExecutionContext context, FilterCriteria filterCriteria)`
`java.util.List` | `loadResourcesList(ExecutionContext context, FilterCriteria[] filterCriteria)`
`java.util.List` | `loadResourcesList(FilterCriteria filterCriteria)`
`Resource` | `newResource(ExecutionContext context, java.lang.Class _class)` Return a Resource that does not yet contain content.
`boolean` | `repositoryPathExists(ExecutionContext executionContext, java.lang.String uri)` Determines whether a resource or folder having a specified URI exists in the repository.
`boolean` | `resourceExists(ExecutionContext executionContext, FilterCriteria filterCriteria)`
`boolean` | `resourceExists(ExecutionContext executionContext, java.lang.String uri)`
`boolean` | `resourceExists(ExecutionContext executionContext, java.lang.String uri, java.lang.Class resourceType)`
`void` | `saveFolder(ExecutionContext context, Folder folder)`
`void` | `saveResource(ExecutionContext context, Resource resource)`
`void` | `unhideFolder(java.lang.String uri)`
`ValidationErrors` | `validateResource(ExecutionContext context, Resource resource, ValidationErrorFilter filter)`

Method Detail

### getResource

    Resource getResource(ExecutionContext context,
                         java.lang.String uri)

  Parameters:
    `context` -
    `uri` -
  Returns:
    the resource if found or null otherwise

### getResource

    Resource getResource(ExecutionContext context,
                         java.lang.String uri,
                         java.lang.Class resourceType)

### getResourceData

    FileResourceData getResourceData(ExecutionContext context,
                                     java.lang.String uri)
                                     throws JSResourceNotFoundException

  Parameters:
    `context` -
    `uri` -
  Returns:
  Throws:
    `JSResourceNotFoundException`

### getContentResourceData

    FileResourceData getContentResourceData(ExecutionContext context,
                                            java.lang.String uri)
                                            throws JSResourceNotFoundException

  Throws:
    `JSResourceNotFoundException`

### getFolder

    Folder getFolder(ExecutionContext context,
                     java.lang.String uri)

### saveFolder

    void saveFolder(ExecutionContext context,
                    Folder folder)

### getAllFolders

    java.util.List getAllFolders(ExecutionContext context)

### getSubFolders

    java.util.List getSubFolders(ExecutionContext context,
                                 java.lang.String folderURI)

### folderExists

    boolean folderExists(ExecutionContext context,
                         java.lang.String uri)

### validateResource

    ValidationErrors validateResource(ExecutionContext context,
                                      Resource resource,
                                      ValidationErrorFilter filter)

### saveResource

    void saveResource(ExecutionContext context,
                      Resource resource)

### deleteResource

    void deleteResource(ExecutionContext context,
                        java.lang.String uri)

### deleteFolder

    void deleteFolder(ExecutionContext context,
                      java.lang.String uri)

### delete

    void delete(ExecutionContext context,
                java.lang.String[] resourceURIs,
                java.lang.String[] folderURIs)

### findResource

    ResourceLookup[] findResource(ExecutionContext context,
                                  FilterCriteria criteria)

  Given filtering criteria, find relevant Resources.

  Parameters:
    `context` -
    `criteria` -
  Returns:
    Array of found Resources

### findResources

    ResourceLookup[] findResources(ExecutionContext context,
                                   FilterCriteria[] criteria)

### loadResourcesList

    java.util.List loadResourcesList(FilterCriteria filterCriteria)

### loadResourcesList

    java.util.List loadResourcesList(ExecutionContext context,
                                     FilterCriteria filterCriteria)

### loadResourcesList

    java.util.List loadResourcesList(ExecutionContext context,
                                     FilterCriteria[] filterCriteria)

### loadClientResources

    java.util.List loadClientResources(FilterCriteria filterCriteria)

### newResource

    Resource newResource(ExecutionContext context,
                         java.lang.Class _class)

  Return a Resource that does not yet contain content.

  Parameters:
    `context` -
    `class` - - class of resource to create
  Returns:
    Resource

### getChildrenFolderName

    java.lang.String getChildrenFolderName(java.lang.String resourceName)

### resourceExists

    boolean resourceExists(ExecutionContext executionContext,
                           java.lang.String uri)

### resourceExists

    boolean resourceExists(ExecutionContext executionContext,
                           java.lang.String uri,
                           java.lang.Class resourceType)

### resourceExists

    boolean resourceExists(ExecutionContext executionContext,
                           FilterCriteria filterCriteria)

### repositoryPathExists

    boolean repositoryPathExists(ExecutionContext executionContext,
                                 java.lang.String uri)

  Determines whether a resource or folder having a specified URI exists in the repository.

  Repository entities are uniquely identified by their URI. This method can be used to check whether a URI is already present in the repository.

  Parameters:
    `executionContext` - the execution context
    `uri` - the URI
  Returns:
    `true` iff the URI is present in the repository

### hideFolder

    void hideFolder(java.lang.String uri)

### unhideFolder

    void unhideFolder(java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.